Summary:            Zimbra's Heimdal Kerberos build
Name:               zimbra-heimdal
Version:            1.5.3
Release:            2zimbra8.7b1%{?dist}.108
License:            BSD
Source:             %{name}-%{version}.tar.gz
Patch0:             zimbra-heimdal-1.5.3-pthreads.patch
BuildRequires:      zimbra-openssl-devel
BuildRequires:      ncurses-devel
BuildRequires:      perl(getopt.pl)
Requires:           zimbra-openssl-libs, zimbra-heimdal-libs = %{version}-%{release}, ncurses-libs
AutoReqProv:        no
URL:                http://www.h5l.org/

%description
The Zimbra Heimdal Kerberos build for additional encryption services

%prep
%setup -n heimdal-%{version}
%patch0 -p1

%build
LDFLAGS="-L/opt/zimbra/common/lib -Wl,-rpath,/opt/zimbra/common/lib"; export LDFLAGS; \
CFLAGS="-O2 -g -D_REENTRANT"; export CFLAGS; \
CPPFLAGS="-I/opt/zimbra/common/include"; export CPPFLAGS; \
./autogen.sh
./configure --prefix=/opt/zimbra/common \
  --sysconfdir=/etc \
  --enable-shared \
  --enable-pthread-support \
  --disable-berkeley-db \
  --disable-ndbm-db \
  --disable-afs-support \
  --without-readline \
  --without-openldap \
  --without-hesiod \
  --enable-static=no
make -C include
make -C base
make -C lib/roken
make -C lib/vers
make -C lib/com_err
make -C lib/asn1
make -C lib/libedit
make -C lib/sl
make -C lib/hcrypto
make -C lib/wind
make -C lib/hx509
make -C lib/sqlite
make -C lib/ipc
make -C lib/krb5
make -C lib/ntlm
make -C lib/gssapi

%install
make -C include install DESTDIR=${RPM_BUILD_ROOT}
make -C base install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/roken install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/com_err install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/asn1 install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/libedit install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/sl install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/hcrypto install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/wind install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/hx509 install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/sqlite install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/ipc install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/krb5 install DESTDIR=${RPM_BUILD_ROOT}
make -C lib/ntlm install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/zimbra/common/share/man/cat5/mech
mkdir -p ${RPM_BUILD_ROOT}/opt/zimbra/common/share/man/man5/mech
make -C lib/gssapi install DESTDIR=${RPM_BUILD_ROOT}

%package libs
Summary:        Heimdal Libaries
Requires: zimbra-openssl-libs, ncurses-libs, zimbra-base
AutoReqProv:        no

%description libs
The zimbra-heimdal-libs package contains the heimdal libraries

%package devel
Summary:        Heimdal Development
Requires: zimbra-heimdal-libs = %{version}-%{release}
AutoReqProv:        no

%description devel
The zimbra-heimdal-devel package contains the linking libraries and include files

%files
%defattr(-,root,root)
/opt/zimbra/common/bin
/opt/zimbra/common/libexec
/opt/zimbra/common/share

%files libs
%defattr(-,root,root)
/opt/zimbra/common/lib/*.so.*

%files devel
%defattr(-,root,root)
/opt/zimbra/common/lib/*.la
/opt/zimbra/common/lib/*.so
/opt/zimbra/common/include

%changelog
* Mon Aug 29 2016 Oleg Girko <ol@infoserver.lv>
- Add patch to fix pthread recognition on 4.* Linux kernels
- Require perl(getopt.pl) explicitly
* Wed May 20 2015 Zimbra Packaging Services <packaging-devel@zimbra.com>
- initial packaging
